# List all available export files for a given type.

Returns a list of all export files for the specified type within the caller's program. Each file entry includes an opaque file ID that can be used with the show endpoint to obtain a presigned download URL. Valid type names: users, campaigns, activities.

Endpoint: GET /v2/data_exports/type/{type_name}
Version: 2026-04-10
Security: oauth2_as_a_server, oauth2_as_a_user

## Path parameters:

  - `type_name` (string, required)
    The export type. One of: users, campaigns, activities.
    Enum: "users", "campaigns", "activities"

## Response 200 fields (application/json):

  - `data` (object)

  - `data.files` (array)

  - `data.files.id` (string)
    Opaque file identifier (base64url-encoded).

  - `data.files.file_name` (string)
    The name of the file.
    Example: "part-00000-abc123.csv.gz"

  - `data.files.generated_at` (string,null)
    Timestamp of when the export was generated (YYYY-MM-DD-HH).
    Example: "2025-01-15-06"

  - `data.files.base_name` (string)
    The base export name.
    Example: "unload_user_data"


